package com.ruoyi.app.DTO;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.List;

public class ProductTraceDTO {
    private Long entranceBatchId;
    private String animalCertNo;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private String entranceTime;
    private String cargoOwner;
    private String companyNo;
    private String animalCategory;
    private String variety;
    private Long amount;
    private String units;
    private String fromPlace;
    private String toPlace;
    private String carrier;
    private String cargoOwnerPhone;
    private String carrierPhone;
    private String spirit;
    private String appearance;
    private String breathe;
    private String metabolite;
    private String otherRemark;
    private String inspectionDetail;
    private Long illnessDeadAmount;
    private Long illnessDiseaseAmount;
    private Long snapKillAmount;
    private BigDecimal unqualifiedWeight;
    private String dealWay;
    private List<SlaughterBatchDTO> slaughterBatchs;
    private WeightOfProductTraceDTO weightOfProductTrace;
    // Getter and Setter methods

    public Long getEntranceBatchId() {
        return entranceBatchId;
    }

    public void setEntranceBatchId(Long entranceBatchId) {
        this.entranceBatchId = entranceBatchId;
    }
    public String getAnimalCertNo() {
        return animalCertNo;
    }

    public void setAnimalCertNo(String animalCertNo) {
        this.animalCertNo = animalCertNo;
    }

    public String getEntranceTime() {
        return entranceTime;
    }

    public void setEntranceTime(String entranceTime) {
        this.entranceTime = entranceTime;
    }

    public String getCargoOwner() {
        return cargoOwner;
    }

    public void setCargoOwner(String cargoOwner) {
        this.cargoOwner = cargoOwner;
    }

    public String getCompanyNo() {
        return companyNo;
    }

    public void setCompanyNo(String companyNo) {
        this.companyNo = companyNo;
    }

    public String getAnimalCategory() {
        return animalCategory;
    }

    public void setAnimalCategory(String animalCategory) {
        this.animalCategory = animalCategory;
    }

    public String getVariety() {
        return variety;
    }

    public void setVariety(String variety) {
        this.variety = variety;
    }

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }

    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }

    public String getFromPlace() {
        return fromPlace;
    }

    public void setFromPlace(String fromPlace) {
        this.fromPlace = fromPlace;
    }

    public String getToPlace() {
        return toPlace;
    }

    public void setToPlace(String toPlace) {
        this.toPlace = toPlace;
    }

    public String getCarrier() {
        return carrier;
    }

    public void setCarrier(String carrier) {
        this.carrier = carrier;
    }

    public String getCargoOwnerPhone() {
        return cargoOwnerPhone;
    }

    public void setCargoOwnerPhone(String cargoOwnerPhone) {
        this.cargoOwnerPhone = cargoOwnerPhone;
    }

    public String getCarrierPhone() {
        return carrierPhone;
    }

    public void setCarrierPhone(String carrierPhone) {
        this.carrierPhone = carrierPhone;
    }

    public String getSpirit() {
        return spirit;
    }

    public void setSpirit(String spirit) {
        this.spirit = spirit;
    }

    public String getAppearance() {
        return appearance;
    }

    public void setAppearance(String appearance) {
        this.appearance = appearance;
    }

    public String getBreathe() {
        return breathe;
    }

    public void setBreathe(String breathe) {
        this.breathe = breathe;
    }

    public String getMetabolite() {
        return metabolite;
    }

    public void setMetabolite(String metabolite) {
        this.metabolite = metabolite;
    }

    public String getOtherRemark() {
        return otherRemark;
    }

    public void setOtherRemark(String otherRemark) {
        this.otherRemark = otherRemark;
    }

    public String getInspectionDetail() {
        return inspectionDetail;
    }

    public void setInspectionDetail(String inspectionDetail) {
        this.inspectionDetail = inspectionDetail;
    }

    public Long getIllnessDeadAmount() {
        return illnessDeadAmount;
    }

    public void setIllnessDeadAmount(Long illnessDeadAmount) {
        this.illnessDeadAmount = illnessDeadAmount;
    }

    public Long getIllnessDiseaseAmount() {
        return illnessDiseaseAmount;
    }

    public void setIllnessDiseaseAmount(Long illnessDiseaseAmount) {
        this.illnessDiseaseAmount = illnessDiseaseAmount;
    }

    public Long getSnapKillAmount() {
        return snapKillAmount;
    }

    public void setSnapKillAmount(Long snapKillAmount) {
        this.snapKillAmount = snapKillAmount;
    }

    public BigDecimal getUnqualifiedWeight() {
        return unqualifiedWeight;
    }

    public void setUnqualifiedWeight(BigDecimal unqualifiedWeight) {
        this.unqualifiedWeight = unqualifiedWeight;
    }

    public String getDealWay() {
        return dealWay;
    }

    public void setDealWay(String dealWay) {
        this.dealWay = dealWay;
    }

    public List<SlaughterBatchDTO> getSlaughterBatchs() {
        return slaughterBatchs;
    }

    public void setSlaughterBatchs(List<SlaughterBatchDTO> slaughterBatchs) {
        this.slaughterBatchs = slaughterBatchs;
    }

    public WeightOfProductTraceDTO getWeightOfProductTrace() {
        return weightOfProductTrace;
    }

    public void setWeightOfProductTrace(WeightOfProductTraceDTO weightOfProductTrace) {
        this.weightOfProductTrace = weightOfProductTrace;
    }


}
